## org.openni
Class Version

    java.lang.Object
      org.openni.Version

    public class Version

extends java.lang.Object

Holds an OpenNI version number, which consists of four separate numbers in the format: major.minor.maintenance.build. For example: 2.0.0.20.

Method Summary
`int` `getBuild()` This function return build number.
`int` `getMaintenance()` This function return minor value.
`int` `getMajor()` This function return major value.
`int` `getMinor()` This function return minor value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMajor

    public int getMajor()

  This function return major value. Major version number, incremented for major API restructuring.

  Returns:
    major value

### getMinor

    public int getMinor()

  This function return minor value. Minor version number, incremented when significant new features added.

  Returns:
    minor value

### getMaintenance

    public int getMaintenance()

  This function return minor value. Maintenance build number, incremented for new releases that primarily provide minor bug fixes.

  Returns:
    maintenance value

### getBuild

    public int getBuild()

  This function return build number. Incremented for each new API build. Generally not shown on the installer and download site.

  Returns:
    build value